<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
<link href="../static/images/favicon.png" rel="icon" />
<title>Sign Up - Virtual Wallet</title>
<meta name="description" content="This professional design html template is for build a Money Transfer and online payments website.">
<meta name="author" content="harnishdesign.net">

<!-- Web Fonts
============================================= -->
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i' type='text/css'>

<!-- Stylesheet
============================================= -->
<link rel="stylesheet" type="text/css" href="../static/vendor/bootstrap/css/bootstrap.min.css" th:href="@{/vendor/bootstrap/css/bootstrap.min.css}"/>
<link rel="stylesheet" type="text/css" href="../static/vendor/font-awesome/css/all.min.css" th:href="@{/vendor/font-awesome/css/all.min.css}"/>
<link rel="stylesheet" type="text/css" href="../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}"/>
</head>
<body>
<!-- Preloader -->
<!--<div id="preloader">-->
<!--  <div data-loader="dual-ring"></div>-->
<!--</div>-->
<!-- Preloader End -->

<div id="main-wrapper" class="h-100">
  <div class="container-fluid px-0 h-100">
    <div class="row no-gutters h-100">
      <div class="col-md-6">
        <!-- Get Verified! Text
        ============================================= -->
        <div class="hero-wrap d-flex align-items-center h-100">
          <div class="hero-mask opacity-8 bg-primary"></div>
          <div class="hero-bg hero-bg-scroll" style="background-image:url('../static/images/bg/image-3.jpg');"
               th:style="'background:url('+ @{/images/bg/image-3.jpg} +');background-repeat: no-repeat, repeat; background-size: cover;'"></div>
          <div class="hero-content mx-auto w-100 h-100 d-flex flex-column">
            <div class="row  no-gutters">
              <div class="col-10 col-lg-9 mx-auto">
                <div class="logo mt-5 mb-5 mb-md-0"> <a class="d-flex" href="index.html"
                                                        title="Virtual Wallet Logo"><img src="../static/images/wallet-logo.png" alt="Payyed" th:src="@{/images/wallet-logo.png}"></a> </div>
              </div>
            </div>
            <div class="row my-auto">
              <div class="col-10 col-lg-9 mx-auto">
                <h1 class="text-11 text-white mb-4">Get Signed Up!</h1>
                <p class="text-4 text-white line-height-4 mb-5">Every day, Virtual Wallet makes thousands of customers happy.</p>
              </div>
            </div>
          </div>
        </div>
        <!-- Get Verified! Text End -->
      </div>
      <div class="col-md-6 d-flex align-items-center">
        <!-- SignUp Form
        ============================================= -->
        <div class="container my-4">
          <div class="row">
            <div class="col-11 col-lg-9 col-xl-8 mx-auto">
              <h3 class="font-weight-400 mb-4">Sign Up</h3>
              <form id="loginForm" method="post" th:action="@{/auth/register}" th:object="${register}">
                <div class="form-group">
                  <label for="firstName">First Name</label>
                  <input type="text" class="form-control" id="firstName" required placeholder="Enter Your First Name"
                         th:field="*{firstName}">
                  <label class="error" th:errors="*{firstName}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="lastName">Last Name</label>
                  <input type="text" class="form-control" id="lastName" required placeholder="Enter Your Last Name"
                         th:field="*{lastName}">
                  <label class="error" th:errors="*{lastName}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="emailAddress">Email Address</label>
                  <input type="email" class="form-control" id="emailAddress" required placeholder="Enter Your Email"
                         th:field="*{email}">
                  <label class="error" th:errors="*{email}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="loginPassword">Password</label>
                  <input type="password" class="form-control" id="loginPassword" required placeholder="Enter Password"
                         th:field="*{password}">
                  <label class="error" th:errors="*{password}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="confirmPassword">Confirm Password</label>
                  <input type="password" class="form-control" id="confirmPassword" required placeholder="Confirm Password"
                         th:field="*{passwordConfirm}">
                  <label class="error" th:errors="*{passwordConfirm}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="userName">Username</label>
                  <input type="text" class="form-control" id="userName" required placeholder="Enter Username"
                         th:field="*{username}">
                  <label class="error" th:errors="*{username}">First name error placeholder</label>
                </div>
                <div class="form-group">
                  <label for="phoneNumber">Phone number</label>
                  <input type="tel" class="form-control" id="phoneNumber" required placeholder="Enter Your Phone Number"
                         th:field="*{phoneNumber}">
                  <label class="error" th:errors="*{phoneNumber}">First name error placeholder</label>
                </div>
                <button class="btn btn-primary btn-block my-4" type="submit">Sign Up</button>
              </form>
              <p class="text-3 text-center text-muted">Already have an account? <a class="btn-link" href="login.html" th:href="@{/auth/login}">Log In</a></p>
            </div>
          </div>
        </div>
        <!-- SignUp Form End -->
      </div>
    </div>
  </div>
</div>

<!-- Back to Top
============================================= --> 
<a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a> 

<!-- Script --> 
<script src="../static/vendor/jquery/jquery.min.js"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../static/js/theme.js"></script>
</body>
</html>